import { h } from "@stencil/core";
export const LimeWebComponentTemplate = (props, children) => {
    const Name = props.name;
    const classList = props.class;
    return (h(Name, Object.assign({ class: classList }, getComponentProps(props), { key: props.key }), children));
};
function getComponentProps(props) {
    let componentProps = {};
    if (props.props) {
        componentProps = Object.assign({}, props.props);
    }
    return Object.assign({ context: props.context, platform: props.platform }, componentProps);
}
